import { z } from 'zod';
export declare const TrackComponentPropertiesSchema: z.ZodObject<{
    variant: z.ZodObject<{
        id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
    }, {
        id: string;
    }>;
    audience: z.ZodObject<{
        id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
    }, {
        id: string;
    }>;
    isPersonalized: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    variant: {
        id: string;
    };
    audience: {
        id: string;
    };
    isPersonalized: boolean;
}, {
    variant: {
        id: string;
    };
    audience: {
        id: string;
    };
    isPersonalized: boolean;
}>;
export type TrackComponentProperties = z.infer<typeof TrackComponentPropertiesSchema>;
